<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_231) on Mon May 04 17:34:23 EEST 2020 -->
<title>Restaurant</title>
<meta name="date" content="2020-05-04">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Restaurant";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../BusinessLayer/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Restaurant.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../BusinessLayer/IRestaurantProcessingWaiter.html" title="interface in BusinessLayer"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../index.html?BusinessLayer/Restaurant.html" target="_top">Frames</a></li>
<li><a href="Restaurant.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">BusinessLayer</div>
<h2 title="Class Restaurant" class="title">Class Restaurant</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>java.util.Observable</li>
<li>
<ul class="inheritance">
<li>BusinessLayer.Restaurant</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.io.Serializable</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">Restaurant</span>
extends java.util.Observable
implements java.io.Serializable</pre>
<div class="block">Restaurant must have at least one item in the menu otherwise he can't sell nothing</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../serialized-form.html#BusinessLayer.Restaurant">Serialized Form</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>(package private) BusinessLayer.Administrator</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../BusinessLayer/Restaurant.html#admin">admin</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>(package private) BusinessLayer.Chef</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../BusinessLayer/Restaurant.html#chef">chef</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>(package private) java.util.HashMap&lt;BusinessLayer.Order,java.util.ArrayList&lt;BusinessLayer.MenuItem&gt;&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../BusinessLayer/Restaurant.html#comenzi">comenzi</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>(package private) java.util.ArrayList&lt;BusinessLayer.MenuItem&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../BusinessLayer/Restaurant.html#meniu">meniu</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>(package private) DataLayer.RestaurantDeserializator</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../BusinessLayer/Restaurant.html#restaurantDes">restaurantDes</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>(package private) DataLayer.RestaurantSerializator</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../BusinessLayer/Restaurant.html#restaurantSer">restaurantSer</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>(package private) static long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../BusinessLayer/Restaurant.html#serialVersionUID">serialVersionUID</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>(package private) BusinessLayer.Waiter</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../BusinessLayer/Restaurant.html#waiter">waiter</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../BusinessLayer/Restaurant.html#Restaurant-java.lang.String-">Restaurant</a></span>(java.lang.String&nbsp;ser)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../BusinessLayer/Restaurant.html#addMenuItem-BusinessLayer.MenuItem-java.lang.String-">addMenuItem</a></span>(BusinessLayer.MenuItem&nbsp;e,
           java.lang.String&nbsp;ser)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../BusinessLayer/Restaurant.html#addMenuItemToMeniu-java.lang.String-java.lang.String-java.lang.String-">addMenuItemToMeniu</a></span>(java.lang.String&nbsp;nume,
                  java.lang.String&nbsp;var,
                  java.lang.String&nbsp;ser)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>javax.swing.JTable</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../BusinessLayer/Restaurant.html#creareTabelMenuItems--">creareTabelMenuItems</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>javax.swing.JTable</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../BusinessLayer/Restaurant.html#creareTabelOrder--">creareTabelOrder</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../BusinessLayer/Restaurant.html#createOrder-java.lang.String-java.lang.String-java.lang.String-java.lang.String-java.lang.String-">createOrder</a></span>(java.lang.String&nbsp;id,
           java.lang.String&nbsp;data,
           java.lang.String&nbsp;table,
           java.lang.String&nbsp;products,
           java.lang.String&nbsp;ser)</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../BusinessLayer/Restaurant.html#deleteMenuItemFromMeniu-java.lang.String-java.lang.String-">deleteMenuItemFromMeniu</a></span>(java.lang.String&nbsp;nume,
                       java.lang.String&nbsp;ser)</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../BusinessLayer/Restaurant.html#editMenuItems-java.lang.String-java.lang.String-java.lang.String-java.lang.String-java.lang.String-">editMenuItems</a></span>(java.lang.String&nbsp;nume,
             java.lang.String&nbsp;tip,
             java.lang.String&nbsp;actiune,
             java.lang.String&nbsp;var,
             java.lang.String&nbsp;ser)</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../BusinessLayer/Restaurant.html#generatingABill-java.lang.String-java.lang.String-java.lang.String-">generatingABill</a></span>(java.lang.String&nbsp;id,
               java.lang.String&nbsp;data,
               java.lang.String&nbsp;table)</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>java.util.HashMap&lt;BusinessLayer.Order,java.util.ArrayList&lt;BusinessLayer.MenuItem&gt;&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../BusinessLayer/Restaurant.html#getComenzi--">getComenzi</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>java.util.ArrayList&lt;BusinessLayer.MenuItem&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../BusinessLayer/Restaurant.html#getMenuItems--">getMenuItems</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../BusinessLayer/Restaurant.html#getPriceForOrder-java.lang.String-java.lang.String-java.lang.String-">getPriceForOrder</a></span>(java.lang.String&nbsp;id,
                java.lang.String&nbsp;data,
                java.lang.String&nbsp;table)</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../BusinessLayer/Restaurant.html#restaurantSerialization-java.lang.String-">restaurantSerialization</a></span>(java.lang.String&nbsp;ser)</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../BusinessLayer/Restaurant.html#setComenzi-java.util.HashMap-">setComenzi</a></span>(java.util.HashMap&lt;BusinessLayer.Order,java.util.ArrayList&lt;BusinessLayer.MenuItem&gt;&gt;&nbsp;c)</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../BusinessLayer/Restaurant.html#setMenuItems-java.util.ArrayList-">setMenuItems</a></span>(java.util.ArrayList&lt;BusinessLayer.MenuItem&gt;&nbsp;m)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.util.Observable">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.util.Observable</h3>
<code>addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, notifyObservers, setChanged</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="meniu">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>meniu</h4>
<pre>java.util.ArrayList&lt;BusinessLayer.MenuItem&gt; meniu</pre>
</li>
</ul>
<a name="comenzi">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>comenzi</h4>
<pre>java.util.HashMap&lt;BusinessLayer.Order,java.util.ArrayList&lt;BusinessLayer.MenuItem&gt;&gt; comenzi</pre>
</li>
</ul>
<a name="admin">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>admin</h4>
<pre>BusinessLayer.Administrator admin</pre>
</li>
</ul>
<a name="waiter">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>waiter</h4>
<pre>BusinessLayer.Waiter waiter</pre>
</li>
</ul>
<a name="chef">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>chef</h4>
<pre>BusinessLayer.Chef chef</pre>
</li>
</ul>
<a name="restaurantDes">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>restaurantDes</h4>
<pre>transient&nbsp;DataLayer.RestaurantDeserializator restaurantDes</pre>
</li>
</ul>
<a name="restaurantSer">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>restaurantSer</h4>
<pre>transient&nbsp;DataLayer.RestaurantSerializator restaurantSer</pre>
</li>
</ul>
<a name="serialVersionUID">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>serialVersionUID</h4>
<pre>static final&nbsp;long serialVersionUID</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#BusinessLayer.Restaurant.serialVersionUID">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Restaurant-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Restaurant</h4>
<pre>public&nbsp;Restaurant(java.lang.String&nbsp;ser)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="addMenuItem-BusinessLayer.MenuItem-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addMenuItem</h4>
<pre>public&nbsp;void&nbsp;addMenuItem(BusinessLayer.MenuItem&nbsp;e,
                        java.lang.String&nbsp;ser)</pre>
</li>
</ul>
<a name="creareTabelMenuItems--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>creareTabelMenuItems</h4>
<pre>public&nbsp;javax.swing.JTable&nbsp;creareTabelMenuItems()</pre>
</li>
</ul>
<a name="creareTabelOrder--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>creareTabelOrder</h4>
<pre>public&nbsp;javax.swing.JTable&nbsp;creareTabelOrder()</pre>
</li>
</ul>
<a name="createOrder-java.lang.String-java.lang.String-java.lang.String-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createOrder</h4>
<pre>public&nbsp;void&nbsp;createOrder(java.lang.String&nbsp;id,
                        java.lang.String&nbsp;data,
                        java.lang.String&nbsp;table,
                        java.lang.String&nbsp;products,
                        java.lang.String&nbsp;ser)</pre>
</li>
</ul>
<a name="getPriceForOrder-java.lang.String-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPriceForOrder</h4>
<pre>public&nbsp;float&nbsp;getPriceForOrder(java.lang.String&nbsp;id,
                              java.lang.String&nbsp;data,
                              java.lang.String&nbsp;table)</pre>
</li>
</ul>
<a name="deleteMenuItemFromMeniu-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deleteMenuItemFromMeniu</h4>
<pre>public&nbsp;void&nbsp;deleteMenuItemFromMeniu(java.lang.String&nbsp;nume,
                                    java.lang.String&nbsp;ser)</pre>
</li>
</ul>
<a name="addMenuItemToMeniu-java.lang.String-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addMenuItemToMeniu</h4>
<pre>public&nbsp;void&nbsp;addMenuItemToMeniu(java.lang.String&nbsp;nume,
                               java.lang.String&nbsp;var,
                               java.lang.String&nbsp;ser)</pre>
</li>
</ul>
<a name="editMenuItems-java.lang.String-java.lang.String-java.lang.String-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>editMenuItems</h4>
<pre>public&nbsp;void&nbsp;editMenuItems(java.lang.String&nbsp;nume,
                          java.lang.String&nbsp;tip,
                          java.lang.String&nbsp;actiune,
                          java.lang.String&nbsp;var,
                          java.lang.String&nbsp;ser)</pre>
</li>
</ul>
<a name="generatingABill-java.lang.String-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>generatingABill</h4>
<pre>public&nbsp;void&nbsp;generatingABill(java.lang.String&nbsp;id,
                            java.lang.String&nbsp;data,
                            java.lang.String&nbsp;table)</pre>
</li>
</ul>
<a name="restaurantSerialization-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>restaurantSerialization</h4>
<pre>public&nbsp;void&nbsp;restaurantSerialization(java.lang.String&nbsp;ser)</pre>
</li>
</ul>
<a name="setMenuItems-java.util.ArrayList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMenuItems</h4>
<pre>public&nbsp;void&nbsp;setMenuItems(java.util.ArrayList&lt;BusinessLayer.MenuItem&gt;&nbsp;m)</pre>
</li>
</ul>
<a name="getMenuItems--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMenuItems</h4>
<pre>public&nbsp;java.util.ArrayList&lt;BusinessLayer.MenuItem&gt;&nbsp;getMenuItems()</pre>
</li>
</ul>
<a name="setComenzi-java.util.HashMap-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setComenzi</h4>
<pre>public&nbsp;void&nbsp;setComenzi(java.util.HashMap&lt;BusinessLayer.Order,java.util.ArrayList&lt;BusinessLayer.MenuItem&gt;&gt;&nbsp;c)</pre>
</li>
</ul>
<a name="getComenzi--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getComenzi</h4>
<pre>public&nbsp;java.util.HashMap&lt;BusinessLayer.Order,java.util.ArrayList&lt;BusinessLayer.MenuItem&gt;&gt;&nbsp;getComenzi()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../BusinessLayer/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Restaurant.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../BusinessLayer/IRestaurantProcessingWaiter.html" title="interface in BusinessLayer"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../index.html?BusinessLayer/Restaurant.html" target="_top">Frames</a></li>
<li><a href="Restaurant.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
